summaryrefslogtreecommitdiffstats
path: root/debian/postgresql-13.preinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 12:19:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 12:19:20 +0000
commit983ee639b550634d447cd203c4644705f1a8b471 (patch)
tree5f499905dc2dbbf1625be1afc09d14f0e96c4b14 /debian/postgresql-13.preinst
parentAdding upstream version 13.4. (diff)
downloadpostgresql-13-983ee639b550634d447cd203c4644705f1a8b471.tar.xz
postgresql-13-983ee639b550634d447cd203c4644705f1a8b471.zip
Adding debian version 13.4-3.debian/13.4-3debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/postgresql-13.preinst')
-rw-r--r--debian/postgresql-13.preinst18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/postgresql-13.preinst b/debian/postgresql-13.preinst
new file mode 100644
index 0000000..a1bccbc
--- /dev/null
+++ b/debian/postgresql-13.preinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+MAJOR_VER="${DPKG_MAINTSCRIPT_PACKAGE#postgresql-}"
+CATVERSION="@CATVERSION@" # set by override_dh_installdeb
+
+case $1 in
+ install|upgrade)
+ if [ "$2" ]; then
+ . /usr/share/postgresql-common/maintscripts-functions
+ preinst_check_catversion "$MAJOR_VER" "$CATVERSION"
+ fi ;;
+esac
+
+#DEBHELPER#
+
+exit 0